VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Make"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Private Declare Sub Make Lib "MakePDF417.dll" _
(ucData As Byte, ByVal nLen As Long, ByVal szFileName As String, ByVal nClumn As Long, ByVal nErr As Long, ByVal nHLRatio As Long, ByVal nHeight As Long)

Private Declare Sub SetColorDepth Lib "MakePDF417.dll" (ByVal nDepth As Long)
 
Private Declare Sub MixText Lib "MakePDF417.dll" _
(ByVal szSrcBmpFileName As String, ByVal szDstBmpFileName As String, ByVal szText As String, ByVal lFontSize As Long, ByVal lTxtHeight As Long, ByVal lHmargin As Long, ByVal lVmargin As Long, ByVal lTxtCntOneLine As Long)



Public Sub PDF417(Text As String, Path As String, nClumn As String, nErr As String, nHLRatio As String, nHeight As String)
Dim a() As Byte
a = StrConv(Text, vbFromUnicode)
Path = Replace(Path, "doDemo.php", "temp.bmp")
Make a(0), UBound(a) - LBound(a) + 1, Path, CLng(nClumn), CLng(nErr), CLng(nHLRatio), CLng(nHeight)
End Sub

Public Sub PDF417SetColorDepth(nDepth As String)
SetColorDepth CLng(nDepth)
End Sub

Public Sub PDF417MixText(szText As String, lFontSize As String, lTxtHeight As String, lHmargin As String, lVmargin As String, lTxtCntOneLine As String)

MixText "temp.bmp", "temp.bmp", szText, CLng(lFontSize), CLng(lTxtHeight), CLng(lHmargin), CLng(lVmargin), CLng(lTxtCntOneLine)
End Sub
